package cz.moneta.test.dsl.exevido.tasks;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.exevido.pages.NewOutgoingMessagePage;

import java.util.function.Function;

public class OutgoingMessageTasks {

    private final Harness harness;

    public OutgoingMessageTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewOutgoingMessagePage, NewOutgoingMessagePage> assignReviewerAndSubmit(String reviewer) {
        return start -> start
                .fillReviewer(reviewer)
                .clickReviewer(reviewer)
                .clickSubmitSingleSelect();
    }
}
